# Coverage Audit

This package contains the **coverage-audit**, which fetches and parses the `coverage_report.xml`
test coverage report produced by the gitlab CI, then prints a human-readable summary to the console.

## Usage
```coverage-audit [target_dir]```
the `coverage-audit` command downloads the latest coverage report from gitlab,
as a `.zip`, extracts the coverage report file, parses it, and prints a
summary of workspaces modules whose test coverage is under 100%. If a target
directory is supplied, the coverage report and related files are written
to `target_dir/coverage/`.

### Example output

```
The following workspaces modules have test coverage of < 100%:
apps/cli/executables/pexable/carta_envoy/carta_envoy/carta.py: line-rate = 0.6441; branch-rate = 0.2222
apps/cli/executables/pexable/carta_envoy/carta_envoy/connect.py: line-rate = 0.6531; branch-rate = 0.5
apps/cli/executables/pexable/carta_envoy/carta_envoy/launchers.py: line-rate = 0.6707; branch-rate = 0.45
...
```
